<!-- 开始节点配置 -->
<template>
  <div class="end-event">
    <a-form ref="formRef" :model="node" labelAlign="left" :label-col="labelCol" :wrapper-col="wrapperCol">
      <a-form-item label="节点标识">
        <a-input v-model:value="node.id" placeholder="请输入" readonly />
      </a-form-item>
    </a-form>
  </div>
</template>

<script lang="ts" setup>
  import { reactive, ref, onMounted, nextTick, unref, h, watch, defineProps } from 'vue';

  const node = reactive({
    id: ""
  })
  const props = defineProps({
    element: Object
  })
  watch(
    () => props.element,
    (newVal, oldVal) => {
      node.id = newVal.id
            node.type = newVal.type
    }
  )
  const labelCol = { span: 7 };
  const wrapperCol = { span: 17 };
  function getForm() {
    return node
  }
  defineExpose({
    getForm
  })
</script>

<style>
</style>